#pragma once
#include "afxwin.h"
#include <list>
#include <string>
#include "afxcmn.h"



using namespace std;

// pixel_laden dialog

class pixel_laden : public CDialog
{
	DECLARE_DYNAMIC(pixel_laden)

public:
  // standard constructor
	pixel_laden(CWnd* pParent = NULL);   
	virtual ~pixel_laden();

  // Dialog Data
	enum { IDD = IDD_PIXEL_LADEN };

protected:
  // DDX/DDV support
	virtual void DoDataExchange(CDataExchange* pDX);    

	DECLARE_MESSAGE_MAP()
public:
  BOOL OnInitDialog();
  afx_msg void OnBnClickedCsvFilesearch();
  bool checkInput();
  ifstream* openCSVFile( int& xCol, int& yCol, int& attCol, 
                         char& separator, int& length);
  afx_msg void OnBnClickedPixelLadenGo();
  CComboBox m_auswahl_bundesland;
  CComboBox m_auswahl_spaltenname;
  CComboBox m_auswahl_trennzeichen;
  int trennzeichen_auswahl;
  int aktion_auswahl;
  CComboBox m_auswahl_csvspaltenname;
  CComboBox m_auswahl_bezugspunkt;
  afx_msg void OnCbnSelchangePixelLadenTrennzeichen();
  CProgressCtrl fortschritt;
  CComboBox m_auswahl_aktion;
  CStatic static_grey1;
  afx_msg void OnCbnSelchangePixelLadenAktion();
};
